Package groovy.lang

# Class MetaArrayLengthProperty

java.lang.Object
groovy.lang.MetaProperty
groovy.lang.MetaArrayLengthProperty

public class MetaArrayLengthProperty extends MetaProperty
Represents the length property of an array

Author:
  James Strachan

## Field Summary

### Fields inherited from class groovy.lang.MetaProperty

`name, PROPERTY_SET_PREFIX, type`

## Constructor Summary

Constructors
Constructor
Description
`MetaArrayLengthProperty()`
Sole constructor setting name to "length" and type to int

## Method Summary

Modifier and Type
Method
Description
`Object`
`getProperty(Object object)`
Get this property from the given object.
`void`
`setProperty(Object object, Object newValue)`
Sets the property on the given object to the new value

### Methods inherited from class groovy.lang.MetaProperty

`getGetterName, getModifiers, getName, getSetterName, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetaArrayLengthProperty

public MetaArrayLengthProperty()
Sole constructor setting name to "length" and type to int

## Method Details

### getProperty

public Object getProperty(Object object)
Get this property from the given object.

Specified by:
  `getProperty` in class `MetaProperty`
Parameters:
  `object` - an array
Returns:
  the length of the array object
Throws:
  `IllegalArgumentException` - if object is not an array

### setProperty

public void setProperty(Object object, Object newValue)
Sets the property on the given object to the new value

Specified by:
  `setProperty` in class `MetaProperty`
Parameters:
  `object` - on which to set the property
  `newValue` - the new value of the property
Throws:
  `RuntimeException` - if the property could not be set